Rivet: Experiment-specific jet efficiency and smearing functions

| Rivet 3.1.9

Functions
Experiment-specific jet efficiency and smearing functions
Detector smearing & efficiency functions

## Functions
double | Rivet::JET_BTAG_ATLAS_RUN1 (const Jet &j)
| Return the ATLAS Run 1 jet flavour tagging efficiency for the given Jet, from Delphes.
double | Rivet::JET_BTAG_ATLAS_RUN2_MV2C20 (const Jet &j)
| Return the ATLAS Run 2 MC2c20 77% WP jet flavour tagging efficiency for the given Jet.
double | Rivet::JET_BTAG_ATLAS_RUN2_MV2C10 (const Jet &j)
| Return the ATLAS Run 2 MC2c10 77% WP jet flavour tagging efficiency for the given Jet.
Jet | Rivet::JET_SMEAR_ATLAS_RUN1 (const Jet &j)
| ATLAS Run 1 jet smearing.
Jet | Rivet::JET_SMEAR_ATLAS_RUN2 (const Jet &j)
Jet | Rivet::JET_SMEAR_CMS_RUN1 (const Jet &j)
Jet | Rivet::JET_SMEAR_CMS_RUN2 (const Jet &j)

## Detailed Description

## Function Documentation

## ◆ JET_BTAG_ATLAS_RUN1()

double Rivet::JET_BTAG_ATLAS_RUN1 | ( | const Jet & | j | ) |
| inline

Return the ATLAS Run 1 jet flavour tagging efficiency for the given Jet, from Delphes.

Todo:
  This form drops past ~100 GeV, asymptotically to zero efficiency... really?!

References Rivet::ParticleBase::abseta(), Rivet::Jet::bTagged(), Rivet::Jet::cTagged(), Rivet::deltaR(), Rivet::Kin::p(), and Rivet::ParticleBase::pT().

## ◆ JET_SMEAR_ATLAS_RUN1()

Jet Rivet::JET_SMEAR_ATLAS_RUN1 | ( | const Jet & | j | ) |
| inline

ATLAS Run 1 jet smearing.

Todo:
  Also need a JES uncertainty component?

Todo:
  Is this the best way to smear? Should we preserve the energy, or pT, or direction?

References Rivet::binIndex(), Rivet::ParticleBase::mass(), Rivet::Kin::mass(), Rivet::ParticleBase::mass2(), Rivet::max(), Rivet::FourMomentum::mkXYZM(), Rivet::ParticleBase::pT(), Rivet::ParticleBase::px(), Rivet::ParticleBase::py(), Rivet::ParticleBase::pz(), and Rivet::randnorm().

Referenced by Rivet::JET_SMEAR_ATLAS_RUN2(), and Rivet::JET_SMEAR_CMS_RUN1().

## ◆ JET_SMEAR_ATLAS_RUN2()

Jet Rivet::JET_SMEAR_ATLAS_RUN2 | ( | const Jet & | j | ) |
| inline

ATLAS Run 2 jet smearing

Todo:
  Just a copy of the Run 1 one: improve!!

References Rivet::JET_SMEAR_ATLAS_RUN1().

## ◆ JET_SMEAR_CMS_RUN1()

Jet Rivet::JET_SMEAR_CMS_RUN1 | ( | const Jet & | j | ) |
| inline

CMS Run 2 jet smearing

Todo:
  Just a copy of the suboptimal ATLAS one: improve!!

References Rivet::JET_SMEAR_ATLAS_RUN1().

Referenced by Rivet::JET_SMEAR_CMS_RUN2().

## ◆ JET_SMEAR_CMS_RUN2()

Jet Rivet::JET_SMEAR_CMS_RUN2 | ( | const Jet & | j | ) |
| inline

CMS Run 2 jet smearing

Todo:
  Just a copy of the suboptimal ATLAS one: improve!!

References Rivet::JET_SMEAR_CMS_RUN1().